/*!
 * @file simple_game_menu.h
 *  a StoryEntity that contains a simple game menu
 */

#ifndef _SIMPLE_GAME_MENU_H
#define _SIMPLE_GAME_MENU_H


#include "story_entity.h"
#include "data_tank.h"


class SimpleGameMenuData;


//! a simple game menu based on a story entity
/**
 * This is a simple menu, that is based on the StoryEntity. Therefore this menu is absolutly
 * loadable and is exchangeable very easely :D
 */
class SimpleGameMenu : public StoryEntity
{

  public:
    SimpleGameMenu();
    virtual ~SimpleGameMenu();


    /* initialisation and loading */
    virtual ErrorMessage init();
    virtual ErrorMessage loadData();
    virtual ErrorMessage unloadData();

    /* running, stopping and pausing */
    virtual bool start();
    virtual bool stop();
    virtual bool pause() {}
    virtual bool resume() {}
    virtual void run();


  private:
    SimpleGameMenuData*      simpleGameMenuData;

};

class SimpleGameMenuData : public DataTank
{

};


#endif /* _GAME_WORLD_H */
